<mat-card  class="matcard-margin">
  <mat-card-header>
    <mat-card-title class="lblstyle">{{titleName}}</mat-card-title>
    <mat-checkbox [checked]="hasDiagnosis" disabled>None</mat-checkbox>
  </mat-card-header>
  <mat-card-content>  
    <mat-card [class.mat-elevation-z0]="true">
      <mat-card-content>
        <div *ngIf="!hasDiagnosis && diagnosisLst.length > 0" class="content-sub" style="width: 100%;">
          <ag-grid-angular #agGrid id="docGrid"
            class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
            [rowData]="rowData" [floatingFilter]="false"
            [animateRows]="false" [gridOptions]="gridOptions" [pagination]="pagination" [paginationPageSize] ="5"
            [context]="context" (firstDataRendered)="onFirstDataRendered($event)"
            (gridReady)="onGridReady($event)">
          </ag-grid-angular>
        </div>
      </mat-card-content>
    </mat-card>
  </mat-card-content>
</mat-card>
